deployment_cloud_sql_instance_create
Provision the product's managed Postgres instance on Google Cloud SQL — fully managed by Google Cloud, with automated backups and point-in-time recovery, a dedicated instance, and easy resize.
Provision the product's managed Postgres instance on Google Cloud SQL — fully managed by Google Cloud, with automated backups and point-in-time recovery, a dedicated instance, and easy resize.
Behavior
- HTTP
POST /deployment/cloud-sql/instances
Arguments
Name | Type | Required | Description |
|---|---|---|---|
tier | string | — | No description in the catalog. |
label | string | • | No description in the catalog. |
pgVersion | string | — | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
tier | string | • | |
label | string | • | |
region | string | • | |
status | string | • | |
createdAt | string | • | |
pgVersion | string | • | |
privateIp | string | • | |
productId | string | • | |
updatedAt | string | • | |
pitrEnabled | boolean | • | |
backupsEnabled | boolean | • | |
connectionName | string | • | |
lastErrorMessage | string | • | |
backupConfigObservedAt | string | • |
Try it
Provision the product's managed Postgres instance on Google Cloud SQL — fully managed by Google Cloud, with automated backups and point-in-time recovery, a dedicated instance, and easy resize.